# Get the summary of documents

Source: https://developer.avalara.com/products/e-invoicing/integration-guides/elr/qjf3208498323890/

Guide: E-Invoicing and Live Reporting

# Get the summary of documents

Retrieve a list of documents and their summary details from ELR.

**Endpoint**: `GET /einvoicing/documents`

Retrieve a summary of documents. For details, see [GetDocumentList](https://developer.avalara.com/api-reference/e-invoicing/v1.6/methods/Documents/GetDocumentList/).

Use this endpoint to get a list of documents processed by the E-Invoicing and Live Reporting (ELR) service within the specified date range.

The results are sorted by `id` in ascending order.

The response returns up to 200 records. Use the `@nextlink` property to retrieve the next set of records.

You can use the following optional query parameters:

-   Use the `flow query` parameter to filter outbound (`out`) vs inbound (`in`) documents.
-   Use the `$count` parameter to return the total number of records that meet your filter conditions, along with the results.
-   Use the `$countOnly` parameter to return only the total number of records that meet your filter conditions, without the results.
-   Use the `$skip` parameter to specify the number of records to skip.
-   Use the `$top` parameter to set the maximum number of records to include in the response.

For example, `GET /einvoicing/documents?startDate=2026-01-01T00:00:00&endDate=T23:59:59&$count=true&$skip=0&$top=200`

Tip

Use the visualizer to explore and understand the response.

**Headers**

Name

Description

**Accept**

application/json

**avalara-version**

Specifies the version of the API to use.

**X-Avalara-Client**

Provided by Avalara.

**Query parameters**

Name

Description

`startDate`

Start date of transactions to return. If not specified, defaults to the previous month. Example: `2026-01-01T00:00:00`.

`endDate`

End date of transactions to return. If not specified, defaults to today. Example: `T23:59:59`.

`$filter`

Filter results by document direction. Use `flow = "out"` for outbound or `flow = "in"` for inbound documents.

`$count`

When set to `true`, returns the total number of records along with the results.

`$countOnly`

When set to `true`, returns only the total number of records.

`$skip`

Number of records to skip before returning results.

`$top`

Maximum number of records to return.

## Example request

```
curl --location '/einvoicing/documents?startDate=2026-01-01T00%3A00%3A00&endDate=T23%3A59%3A59&%24count=true&%24skip=0&%24top=200' \
--header 'Accept: application/json' \
--header 'avalara-version: 1.5' \
--header 'X-Avalara-Client: ProvidedToYouByAvalara'
```